# -*- coding: utf-8 -*-
# Generated by Django 1.10.3 on 2017-04-07 08:03
from __future__ import unicode_literals

from django.db import migrations, models


def migration_reverse_empty(apps, schema_editor):
    pass


def auto_deactivate_scipost_physics_proc(apps, schema_editor):
    Journal = apps.get_model('journals', 'Journal')
    try:
        journal = Journal.objects.get(name='SciPostPhysProc', doi_string='SciPostPhysProc')
        journal.active = False
        journal.save()
        print('\n   - SciPost Physics Proceedings deactivated...')
    except Journal.DoesNotExist:
        pass


class Migration(migrations.Migration):

    dependencies = [
        ('journals', '0013_auto_20170407_0954'),
    ]

    operations = [
        migrations.AddField(
            model_name='journal',
            name='active',
            field=models.BooleanField(default=True),
        ),
        migrations.RunPython(auto_deactivate_scipost_physics_proc, migration_reverse_empty),
    ]
