# -*- coding: utf-8 -*-
# Generated by Django 1.10.3 on 2017-07-21 08:42
from __future__ import unicode_literals

from django.db import migrations, models


def report_101_to_none(apps, schema_editor):
    Report = apps.get_model('submissions', 'Report')
    for rep in Report.objects.all():
        if rep.clarity == 101:
            rep.clarity = None
        if rep.originality == 101:
            rep.originality = None
        if rep.significance == 101:
            rep.significance = None
        if rep.validity == 101:
            rep.validity = None
        rep.save()
    print('\nChanged all Report fields: {clarites,originality,significance,validity} with value'
          ' `101` to `None`.')


def report_none_to_101(apps, schema_editor):
    Report = apps.get_model('submissions', 'Report')
    for rep in Report.objects.all():
        if not rep.clarity:
            rep.clarity = 101
        if not rep.originality:
            rep.originality = 101
        if not rep.significance:
            rep.significance = 101
        if not rep.validity:
            rep.validity = 101
        rep.save()
    print('\nChanged all Report fields: {clarites,originality,significance,validity} with value'
          ' `None` to `101`.')


class Migration(migrations.Migration):

    dependencies = [
        ('submissions', '0049_auto_20170721_1010'),
    ]

    operations = [
        migrations.AlterField(
            model_name='report',
            name='clarity',
            field=models.PositiveSmallIntegerField(blank=True, choices=[(None, '-'), (100, 'top'), (80, 'high'), (60, 'good'), (40, 'ok'), (20, 'low'), (0, 'poor')], null=True),
        ),
        migrations.AlterField(
            model_name='report',
            name='originality',
            field=models.PositiveSmallIntegerField(blank=True, choices=[(None, '-'), (100, 'top'), (80, 'high'), (60, 'good'), (40, 'ok'), (20, 'low'), (0, 'poor')], null=True),
        ),
        migrations.AlterField(
            model_name='report',
            name='significance',
            field=models.PositiveSmallIntegerField(blank=True, choices=[(None, '-'), (100, 'top'), (80, 'high'), (60, 'good'), (40, 'ok'), (20, 'low'), (0, 'poor')], null=True),
        ),
        migrations.AlterField(
            model_name='report',
            name='validity',
            field=models.PositiveSmallIntegerField(blank=True, choices=[(None, '-'), (100, 'top'), (80, 'high'), (60, 'good'), (40, 'ok'), (20, 'low'), (0, 'poor')], null=True),
        ),
        migrations.RunPython(report_101_to_none, report_none_to_101),
    ]
